com.icesoft.components.accessible

## Class TagToComponentMap

- java.lang.Object
- - com.icesoft.components.accessible.TagToComponentMap

- All Implemented Interfaces:
    java.io.Serializable

      public class TagToComponentMap
      extends java.lang.Object
      implements java.io.Serializable

  This class provides a map from TLD tag names to the tag processing class associated with the tag. The map is used by the parser to establish a ruleset for the digester to use when parsing a JSFX page.
  Author:
    Steve Maryka
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XHTML_COMPONENT_CLASS`
    `static java.lang.String` | `XHTML_COMPONENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagToComponentMap()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTagAttrib(java.io.InputStream tldInput)` Same as addTags but this one has more info such as attributes/descriptions
    `java.util.Hashtable` | `getTagToComponentMap()` Getter for TagToComponentMap
    `static void` | `main(java.lang.String[] args)` Main method for when this class is run to build the serialized data from a set of TLDS.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XHTML_COMPONENT_TYPE

          public static final java.lang.String XHTML_COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### XHTML_COMPONENT_CLASS

          public static final java.lang.String XHTML_COMPONENT_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TagToComponentMap

          public TagToComponentMap()

  - ### Method Detail

    - #### getTagToComponentMap

          public java.util.Hashtable getTagToComponentMap()

      Getter for TagToComponentMap
      Returns:
        The tag to tag processing class map.

    - #### addTagAttrib

          public void addTagAttrib(java.io.InputStream tldInput)
                            throws java.io.IOException

      Same as addTags but this one has more info such as attributes/descriptions
      Parameters:
        `tldInput` - The TLD to process
      Throws:
        `java.io.IOException` - If digester barfs.

    - #### main

          public static void main(java.lang.String[] args)

      Main method for when this class is run to build the serialized data from a set of TLDS.
      Parameters:
        `args` - The runtime arguements.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.